package com.yem.em.bd.resourceinfo.from;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.bill.OperationStatus;
import kd.bos.form.FormShowParameter;
import kd.bos.form.OpenStyle;
import kd.bos.form.ShowType;
import kd.bos.list.ListShowParameter;

import java.util.EventObject;
import java.util.HashMap;
import java.util.Map;

/**
 * @author 夜子
 * @ClassName resourceinfoEdit
 * @description: 车型资源号
 * @date 2023年07月26日
 * @version: 1.0
 */
public class ResourceinfoEdit  extends AbstractBillPlugIn {

    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        ListShowParameter bsp = new ListShowParameter();
        bsp.setFormId("bos_templatetreelist");
        bsp.setBillFormId("yem_em_ecatalog");
        OpenStyle openStyle = new OpenStyle();
        openStyle.setShowType(ShowType.InContainer);
        openStyle.setTargetKey("yem_flexpanelap");
//        Map<String, Object> entryInfo = new HashMap<String, Object>();
//        entryInfo.put("parentpageid", this.getView().getPageId());
//        bsp.setCustomParams(entryInfo);
        bsp.setStatus(OperationStatus.VIEW);
        bsp.setShowFilter(false);
        bsp.setShowTitle(false);
        bsp.setOpenStyle(openStyle);
        this.getView().showForm(bsp);

    }
}
